
package de.ivu.elect.presentation.wahllokalsystem.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.wahllokalsystem.WahllokalsystemStatusStatusuebersichtView;

public class WahllokalsystemStatusStatusuebersichtMenuItemEntry extends AbstractWahllokalsystemStatusMenuItemEntry {

  private static final long serialVersionUID = 1L;


  public WahllokalsystemStatusStatusuebersichtMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.WAHLLOKALSYSTEM_STATUS_SEARCH;
  }

  @Override
  public String getTargetViewId() {
    return WahllokalsystemStatusStatusuebersichtView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getMehrzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.status.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconStatus();
  }
}
